Subject: Re: [bug#41118] [PATCH] gnu: inkscape: Update to 1.0.

From: Maxim Cournoyer <[email-masked]>
Date: Sat, 16 May 2020 14:59:24 -0400

Hey Marius!

Marius Bakke <[email-masked]> writes:

> Maxim Cournoyer <[email-masked]> writes:
>
>> Hello Leo,
>>
>> Leo Famulari <[email-masked]> writes:
>>
>>> On Fri, May 15, 2020 at 09:36:13AM -0400, Maxim Cournoyer wrote:
>>>> This was made here: https://gitlab.com/inkscape/inkscape/-/issues/784.
>>>> If you have a good grasp of the GPL v2 vs GPL v3 merits, perhaps it'd be
>>>> useful to them to to post that there.  IIRC, I think the big new things
>>>> in GPL v3 were immunization to patent attacks (nice to have for
>>>> Inkscape) as well as preventing tivoization (this is not so applicable),
>>>> and clarifying that linking with GPL code means the whole should be GPL.
>>>> I'll re-read the licenses text in detail when I have a chance.
>>>> 
>>>> Anyway, if this doesn't move quickly enough, we could reluctantly build
>>>> Inkscape with its bundled lib2geom, which is a subset of the full
>>>> lib2geom and which doesn't link with GSL (IIRC).
>>
>> Actually, this doesn't help with the licensing incompatibility, given
>> that Inkscape already depends on the GPL v3+ GNU Scientific Library
>> (GSL) and that the bundled lib2geom sources within Inkscape make use of
>> GSL.  I've pointed that here:
>> https://gitlab.com/inkscape/inkscape/-/issues/784#note_343667232.
>
> What exactly is the license incompatibility?  As Leo points out,
> LGPL2.1+ is compatible with GPL3.  Your initial assessment that the
> entire works become GPL3+ seems correct to me.
>
> GNU has a handy chart that shows compatibility between the various GNU
> licenses:
> <https://www.gnu.org/licenses/gpl-faq.html#AllCompatibility>.

This helps! It indeed shows that's it's OK to copy code from a GPLv3+
project (link to) from a LGPL2.1+ code base, as long as the combined
work becomes GPLv3+.

What I wasn't sure, following the remark from Leo, was if this
permission was automatically granted to downstream users, without having
the upstream stating that yes, it indeed is OK to do so.

In retrospect, it would make sense that users are empowered to choose
the combination of their choice, as long as the effective license is
properly stated.  I just find it confusing that upstream says 'this is
LGPLv2+', when in reality the combined product is necessarily GPLv3+.

Thanks for tipping in, Marius!

Maxim